> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspaces

> Get all workspaces in an organization



## OpenAPI

````yaml GET /workspaces
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces:
    get:
      tags:
        - workspaces
      summary: Get all workspaces
      description: Get all workspaces in an organization
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Regex to filter workspaces by name
          name: name_regex
          in: query
          schema:
            type: string
        - description: Limit the number of workspaces returned
          name: limit
          in: query
          schema:
            type: integer
        - description: Offset the workspaces returned
          name: offset
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/models.Workspace'
components:
  schemas:
    models.Workspace:
      description: >-
        A workspace within an organization.  All connections, notebooks, and
        sessions belong to a workspace.
      type: object
      properties:
        current_user_role:
          type: string
        name:
          type: string
        parent_workspace_id:
          type: string
        workspace_id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````